/*
 * Copyright (C) 2014 Mikel Penagarikano
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package edu.gtts.mediaevalquesst2015;

import org.xml.sax.Locator;
import org.xml.sax.SAXParseException;
import org.xml.sax.helpers.DefaultHandler;

/**
 *
 * @author mpenagar
 */
public abstract class LocatedHandler extends DefaultHandler {

	private Locator locator = null;

	@Override
	public void setDocumentLocator(Locator locator) {
		this.locator = locator;
	}

	void checkAttribute(String name, String value) throws SAXParseException {
		if (value == null) {
			throwLocatedSAXParseException("Attribute not found: \"" + name + "\"");
		} else if (value.length() == 0) {
			throwLocatedSAXParseException("Empty attribute: \"" + name + "\"");
		}
	}

	void throwLocatedSAXParseException(String msg) throws SAXParseException {
		throw new SAXParseException(msg, locator);
	}

}
