#!/usr/bin/env bash

# $1: file containing a list (absolute paths, .stdlist.xml.gzip files) of systems to score
systems=$1

# directory containing the scoring script, the .jar file and the ground-truth folders
scoring_dir=.

for system in $(cat $systems); do
	echo $(basename $system)
	# The strings 'eval' or 'dev' in the system name determine the groundtruth to be used
	dev_eval=$(basename $system | sed -E 's/.*(dev|DEV|eval|EVAL).*/\1/' | sed 's/EVAL/eval/' | sed 's/DEV/dev/')
	groundtruth="groundtruth_quesst2015_$dev_eval"

	# We create a target directory for each system, where results will be stored
	dir=$(echo $system | sed 's/\.stdlist\.xml\.gz//')
	mkdir -p $dir
	mv $system $dir

	# We determine whether a floor score has to be used or not
	floor=$(basename $system | sed -E 's/.*_(.*)\.stdlist\.xml\.gz/\1/')
	
	gunzip $dir/*.gz

	if [[ $floor == "auto" ]]; then
		$scoring_dir/score-TWV-Cnxe.sh $dir $scoring_dir/$groundtruth
	else
		$scoring_dir/score-TWV-Cnxe.sh $dir $scoring_dir/$groundtruth $floor
	fi

	gzip $dir/*.stdlist.xml
done
